<div ng-controller="ListaClienteController">
    <div class="page page-tables-bootstrap">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a>Contenedor</a>
                </li>
                <li>
                  <a>Lista</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="pagecontent">
            <div class="row">
                <div class="col-md-12">
                  <div class="panel">
                    <div class="panel-body">
                      <div class="row">
                        <div class="col-md-2"></div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="">Año</label>
                                <select class="form-control" ng-model="obj.id_anio" ng-change="listSemana(obj.id_anio)" ng-options="an.id as an.anio for an in anios">
                                    <option value="">-- AÑO --</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="">Semana</label>
                                <select class="form-control" ng-model="obj.id_semana" ng-disabled="!obj.id_anio" ng-change="list(true)" ng-options="sem.id as sem.nombre for sem in semanas">
                                    <option value="">-- SEMANA --</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                      </div>
                    </div>
                  </div> 
                </div>
                <!-- col -->
                <div class="col-md-12">

                    <!-- tile -->
                    <section class="tile" fullscreen="isFullscreen08">

                      <!-- tile header -->
                      <div class="tile-header dvd dvd-btm">
                        <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE CONTENEDORES</h1>
                      </div>
                      <!-- /tile header -->

                      <!-- tile body -->
                      <div class="tile-body p-1">

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <input type="text" name="buscar" ng-model="buscar" class="form-control" placeholder="Buscar Contenedor">
                                </div>                              
                            </div>  
                            <div class="col-md-6">                            
                                <a ui-sref="admin.container.archivo_cliente" class="btn btn-orange btn-rounded-10 btn-block btn-border" ng-click="redirectTo()"><i class="fa fa-files-o"></i> gestión de archivos</a>
                            </div>
                            <div class="col-md-12">                            
                                <hr class="mt-5 mb-5">
                            </div>              
                        </div>

                        <div class="row" ng-if="isLoading">
                            <div class="col-md-12">
                              <loading></loading>
                            </div>
                        </div>

                        <div class="row" ng-if="!isLoading">
                            <div class="col-md-12">
                                <h5 class="text-right"><strong>CANTIDAD : {{containers.length}} CONTENEDORES</strong></h5>
                            </div>
                            <div class="col-md-12 mt-10" ng-if="containers.length > 0">
                                <small>
                                    <div class="table-responsive">
                                        <table class="table table-bordered">
                                            <tr style="background:#F2F2F2">
                                                <th class="text-center">ESTADO</th>
                                                <th class="text-center">W</th>
                                                <th class="text-center">INICIO PROCESO</th>
                                                <th class="text-center">FIN PROCESO</th>
                                                <th class="text-center">OPERADOR LOGÍSTICO</th>
                                                <th class="text-center">LÍNEA</th>
                                                <th class="text-center">NAVE</th>
                                                <th class="text-center">BOOKING</th>
                                                <th class="text-center">CLIENTE</th>
                                                <th class="text-center">CANTIDAD CAJAS</th>
                                                <th class="text-center">MARCA</th>
                                                <th class="text-center">CONTENEDOR</th>
                                                <th class="text-center">ORDEN/REFERENCIA</th>
                                                <th class="text-center">DESTINO</th>
                                                <th class="text-center">PESO NETO</th>
                                                <th class="text-center">PESO BRUTO</th>
                                                <th class="text-center">FECHA ZARPE</th>
                                                <th class="text-center">FECHA LLEGADA</th>
                                                <th class="text-center">FACTURA</th>
                                                <th class="text-center">PACKING</th>
                                                <th class="text-center">CERTIFICADO</th>
                                                <th class="text-center">VALIJA</th>
                                            </tr>
                                            <tbody dir-paginate="contenedor in containers |filter: buscar | itemsPerPage: 10" pagination-id="contenedor.id_contenedor">
                                                <tr>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                                        <span class="badge" style="background: {{contenedor.color_estado}};">{{contenedor.estado | uppercase}}</span>
                                                    </td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.semana}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.dia_proceso_inicio | date:'dd-MM-yyyy'}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.dia_proceso_fin | date:'dd-MM-yyyy'}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.operador | uppercase}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.linea_naviera | uppercase}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.sigla_linea_naviera | uppercase}} - {{contenedor.nave | uppercase}} V. {{contenedor.viaje}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.booking | uppercase}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.cliente | uppercase}}</td>
                                                    <td class="text-center" nowrap>{{ contenedor.cajas[0].cantidad_cajas }}</td>
                                                    <td class="text-center" nowrap>{{contenedor.cajas[0].marca | uppercase}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.numero_contenedor}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.referencia | uppercase}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.puerto_destino | uppercase}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.peso_neto}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.peso_bruto}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.dia_zarpe | date:'dd-MM-yyyy'}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.dia_llegada | date:'dd-MM-yyyy'}}</td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                                        <span style="color: white;background: {{contenedor.color_estado_factura}};" class="label">{{contenedor.estado_factura | uppercase}}</span>
                                                    </td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                                        <span style="color: white;background: {{contenedor.color_estado_packing}};" class="label">{{contenedor.estado_packing | uppercase}}</span>
                                                    </td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                                        <span style="color: white;background: {{contenedor.color_estado_certificado}};" class="label">{{contenedor.estado_certificado | uppercase}}</span>
                                                    </td>
                                                    <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                                        <span style="color: white;background: {{contenedor.color_estado_valija}};" class="label">{{contenedor.estado_valija | uppercase}}</span>
                                                    </td>
                                                </tr>
                                                <tr ng-repeat="caja in contenedor.cajas.slice(1,contenedor.cajas.length)">
                                                    <td class="text-center" nowrap>{{caja.cantidad_cajas}}</td>
                                                    <td class="text-center" nowrap>{{caja.marca | uppercase}}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </small>
                                <div class="text-center">
                                    <dir-pagination-controls pagination-id="contenedor.id_contenedor"></dir-pagination-controls>
                                </div>
                            </div>

                            <div class="col-md-12 mt-10" ng-if="containers.length == 0">
                                <p class="text-center">
                                    <i class="fa fa-truck fa-4x"></i>
                                    <h5 class="text-center">no hay contenedores registrados para la semana actual...</h5>
                                </p>
                            </div>                       
                        </div>
                        
                      </div>
                      <!-- /tile body -->
                      <div class="tile-footer p-1">
                          <div class="text-right">
                            <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
                          </div>
                      </div>

                    </section>
                    <!-- /tile -->


                </div>
                <!-- /col -->
            </div>
        </div>
    </div>
</div>